module Gizmo
  # Provides context when performing an operation (i.e. find_all, find)
  class Context

    attr_accessor :format, :callback, :gizmo

    # TODO document options
    def initialize(attrs={})
      attrs.each do |key, val|
        setter = :"#{key}="
        send setter, val if respond_to?(setter)
      end
    end
  end
end