module Gizmo
  class ValidationError < Error
    attr_reader :errors

    def initialize(message, errors, backtrace=nil)
      @message = message
      @errors = errors
      @backtrace = backtrace
    end

    def as_json(opts={})
      {message: message, errors: errors, backtrace: backtrace}
    end
  end
end